Package com.databricks.jdbc.model.telemetry

## Class DriverConnectionParameters

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.DriverConnectionParameters

    public class DriverConnectionParameters
    extends Object

### Constructor Summary

Constructors
`DriverConnectionParameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DriverConnectionParameters` `setAcceptUndeterminedCertificateRevocation​(boolean acceptUndeterminedCertificateRevocation)`
`DriverConnectionParameters` `setAuthMech​(AuthMech authMech)`
`DriverConnectionParameters` `setAuthScope​(String authScope)`
`DriverConnectionParameters` `setCfProxyHostDetails​(HostDetails cfProxyHostDetails)`
`DriverConnectionParameters` `setCheckCertificateRevocation​(boolean checkCertificateRevocation)`
`DriverConnectionParameters` `setDiscoveryModeEnabled​(boolean discoveryModeEnabled)`
`DriverConnectionParameters` `setDiscoveryUrl​(String discoveryUrl)`
`DriverConnectionParameters` `setDriverAuthFlow​(AuthFlow driverAuthFlow)`
`DriverConnectionParameters` `setDriverMode​(DatabricksClientType clientType)`
`DriverConnectionParameters` `setHostDetails​(HostDetails hostDetails)`
`DriverConnectionParameters` `setHttpPath​(String httpPath)`
`DriverConnectionParameters` `setNonProxyHosts​(List<String> non_proxy_hosts)`
`DriverConnectionParameters` `setProxyHostDetails​(HostDetails proxyHostDetails)`
`DriverConnectionParameters` `setSslTrustStoreType​(String sslTrustStoreType)`
`DriverConnectionParameters` `setSupportManyParameters​(boolean supportManyParameters)`
`DriverConnectionParameters` `setUseCfProxy​(boolean useCfProxy)`
`DriverConnectionParameters` `setUseEmptyMetadata​(boolean useEmptyMetadata)`
`DriverConnectionParameters` `setUseProxy​(boolean useProxy)`
`DriverConnectionParameters` `setUseSystemProxy​(boolean useSystemProxy)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DriverConnectionParameters

    public DriverConnectionParameters()

### Method Detail

#### setHttpPath

    public DriverConnectionParameters setHttpPath​(String httpPath)

#### setDriverMode

    public DriverConnectionParameters setDriverMode​(DatabricksClientType clientType)

#### setUseProxy

    public DriverConnectionParameters setUseProxy​(boolean useProxy)

#### setAuthMech

    public DriverConnectionParameters setAuthMech​(AuthMech authMech)

#### setNonProxyHosts

    public DriverConnectionParameters setNonProxyHosts​(List<String> non_proxy_hosts)

#### setUseSystemProxy

    public DriverConnectionParameters setUseSystemProxy​(boolean useSystemProxy)

#### setUseCfProxy

    public DriverConnectionParameters setUseCfProxy​(boolean useCfProxy)

#### setHostDetails

    public DriverConnectionParameters setHostDetails​(HostDetails hostDetails)

#### setCfProxyHostDetails

    public DriverConnectionParameters setCfProxyHostDetails​(HostDetails cfProxyHostDetails)

#### setProxyHostDetails

    public DriverConnectionParameters setProxyHostDetails​(HostDetails proxyHostDetails)

#### setDriverAuthFlow

    public DriverConnectionParameters setDriverAuthFlow​(AuthFlow driverAuthFlow)

#### setDiscoveryModeEnabled

    public DriverConnectionParameters setDiscoveryModeEnabled​(boolean discoveryModeEnabled)

#### setAuthScope

    public DriverConnectionParameters setAuthScope​(String authScope)

#### setDiscoveryUrl

    public DriverConnectionParameters setDiscoveryUrl​(String discoveryUrl)

#### setUseEmptyMetadata

    public DriverConnectionParameters setUseEmptyMetadata​(boolean useEmptyMetadata)

#### setSupportManyParameters

    public DriverConnectionParameters setSupportManyParameters​(boolean supportManyParameters)

#### setSslTrustStoreType

    public DriverConnectionParameters setSslTrustStoreType​(String sslTrustStoreType)

#### setCheckCertificateRevocation

    public DriverConnectionParameters setCheckCertificateRevocation​(boolean checkCertificateRevocation)

#### setAcceptUndeterminedCertificateRevocation

    public DriverConnectionParameters setAcceptUndeterminedCertificateRevocation​(boolean acceptUndeterminedCertificateRevocation)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`